if isunix
    error('Sorry, we only made this work on Windows!');
end

if exist('s','var') && strcmp(get(s,'Status'),'open')
    fclose(s);
end

% find the Windows COM port to which the local MSP is attached
tmp = instrhwinfo('serial');
ports = tmp.AvailableSerialPorts;
if length(ports)==1
    error('No MSP attached when Matlab last refreshed port list.');
elseif length(ports)==2
    com = ports{2};
else
    fprintf('List of available ports: \n');
    ports
    com = input('Enter desired COM port in form COMn:\t','s');
end

% now create a serial object and open it
s = serial(com,'BaudRate',38400,'DataBits',8,'Timeout',5);      %create the serial port object
fopen(s);                       %open the serial port

% flush the buffer if needed
if (s.BytesAvailable > 0)
    flusher = fread(s,s.BytesAvailable);
end